Search Addresses
curl --request GET \
--url https://api.shovels.ai/v2/addresses/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.shovels.ai/v2/addresses/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/addresses/search")
.header("X-API-Key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shovels.ai/v2/addresses/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.shovels.ai/v2/addresses/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shovels.ai/v2/addresses/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"street_no": "1232",
"street": "MARKET ST",
"city": "SAN FRANCISCO",
"county": "SAN FRANCISCO",
"zip_code": "94103",
"zip_code_ext": "1234",
"state": "CA",
"jurisdiction": "SAN FRANCISCO",
"lat": 37.7749,
"long": -122.41,
"geo_id": "1",
"name": "123 Market St, San Francisco, CA"
},
{
"street_no": "1233",
"street": "MARKET ST",
"city": "SAN FRANCISCO",
"county": "SAN FRANCISCO",
"zip_code": "94103",
"zip_code_ext": "1234",
"state": "CA",
"jurisdiction": "SAN FRANCISCO",
"lat": 37.7749,
"long": -122.41,
"geo_id": "2",
"name": "1233 Market St, San Francisco, CA"
},
{
"street_no": "1234",
"street": "MARKET ST",
"city": "SAN FRANCISCO",
"county": "SAN FRANCISCO",
"zip_code": "94103",
"zip_code_ext": "1234",
"state": "CA",
"jurisdiction": "SAN FRANCISCO",
"lat": 37.7749,
"long": -122.41,
"geo_id": "3",
"name": "1234 Market St, San Francisco, CA"
}
],
"size": 3
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Addresses
Search Addresses
Searches for addresses that have at least one associated permit based on the provided text.
GET
/
addresses
/
search
Search Addresses
Authorizations
Query Parameters
The text to search for in the address fields.
Response
A list of addresses that match the search text, ordered by relevance and in USPS notation.
Paginated response for addresses.
The list of items returned in the response following given criteria.
Show child attributes
Show child attributes
The number of items returned in the response.
The cursor for retrieving the next page of results.
Total result count (capped at 10,000). Present on first-page responses when include_count=true. null if the count query timed out.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
